Loading...
Searching...
No Matches
mem_cast.h File Reference
`#include "platform.h"`
`#include "binary.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "file_error_numbers.h"`
`#include "largest.h"`
`#include "memory.h"`
`#include "placement_new.h"`
`#include "static_assert.h"`
`#include "utility.h"`
`#include <stdint.h>`
`#include <string.h>`

Go to the source code of this file.

## Classes

class | etl::mem_cast_exception
| The base class for mem_cast exceptions. More...
class | etl::mem_cast_size_exception
| The exception thrown when the type size is too large. More...
class | etl::mem_cast_nullptr_exception
| The exception thrown when the pointer is null. More...
class | etl::mem_cast< Size_, Alignment_ >
| mem_cast More...
class | etl::mem_cast_ptr
| mem_cast_ptr More...
struct | etl::mem_cast_types< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16 >

## Namespaces

namespace | etl

## Variables

template<size_t Size_, size_t Alignment_>
ETL_CONSTANT size_t | etl::mem_cast< Size_, Alignment_ >::Size
template<size_t Size_, size_t Alignment_>
ETL_CONSTANT size_t | etl::mem_cast< Size_, Alignment_ >::Alignment